Package tigase.auth

## Class CredentialsEncoderBean

- java.lang.Object
- - tigase.auth.CredentialsEncoderBean

- All Implemented Interfaces:
    `RegistrarBean`

      @Bean(name="credentialEncoders",
            parent=AuthRepositoryConfigBean.class,
            active=true)
      public class CredentialsEncoderBean
      extends java.lang.Object
      implements RegistrarBean

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CredentialsEncoderBean()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `encode​(BareJID user, java.lang.String mechanism, java.lang.String password)` |
    `java.util.List<java.lang.String[]>` | `encodeForAllMechanisms​(BareJID user, java.lang.String password)` |
    `java.util.List<java.lang.String>` | `getSupportedMechanisms()` |
    `void` | `register​(Kernel kernel)` | Method called when bean is being registered allowing developer to programatically register other beans.
    `void` | `unregister​(Kernel kernel)` | Method called while bean is being unregistered.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialsEncoderBean

          public CredentialsEncoderBean()

  - ### Method Detail

    - #### getSupportedMechanisms

          public java.util.List<java.lang.String> getSupportedMechanisms()

    - #### encode

          public java.lang.String encode​(BareJID user,
                                         java.lang.String mechanism,
                                         java.lang.String password)
                                  throws java.security.NoSuchAlgorithmException

      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### encodeForAllMechanisms

          public java.util.List<java.lang.String[]> encodeForAllMechanisms​(BareJID user,
                                                                           java.lang.String password)

    - #### register

          public void register​(Kernel kernel)

      Description copied from interface: `RegistrarBean`
      Method called when bean is being registered allowing developer to programatically register other beans.
      Specified by:
        `register` in interface `RegistrarBean`
      Parameters:
        `kernel` - - instance from local scope

    - #### unregister

          public void unregister​(Kernel kernel)

      Description copied from interface: `RegistrarBean`
      Method called while bean is being unregistered.
      Specified by:
        `unregister` in interface `RegistrarBean`
      Parameters:
        `kernel` - - instance from local scope